#!/bin/bash

OCTDDIR=SoftEcho/bin

echo
echo
echo Installation Helper for the SoftEcho Package
echo '********************************************'
echo
echo "Your System has the following CPU Info:"
grep "model name" /proc/cpuinfo
echo
echo "Found the following possible architectures for installing SoftEcho:"
for i in $(echo $OCTDDIR/octvqed-* ) ; do
	echo $i | cut -d "-" -f 2
done
echo
echo "Please choose one architecture, which corresponds mostly to your CPU Info:"
read arch
octd=$OCTDDIR/octvqed-$arch
echo
echo "installing $octd in /usr/sbin/octvqed .."

if ! test -f $octd ; then
	echo "arch '$arch' not found"
	exit 1
fi

install $octd /usr/sbin/octvqed

if ! test -f /etc/octvqed.conf ; then
	echo "installing octvqed.conf in /etc/octvqed.conf .."
	install SoftEcho/examples/octvqed.conf /etc/octvqed.conf
fi

echo
echo
